package org.mobicents.servlet.sip.pbx.address;

import javax.servlet.sip.URI;
import org.mobicents.servlet.sip.pbx.URIUtil;
import org.mobicents.servlet.sip.pbx.user.User;

/**
 *
 * @author Marcos Hack <marcoshack@gmail.com>
 */
public abstract class BaseAddressService implements AddressService {

    public String getAddressOfRecord(URI uri) {
        if (AddressHelper.isStation(uri)) {
            return getAddressOfRecordByStation(uri);
        } else {
            return URIUtil.toCanonical(uri);
        }
    }

    public String getAddressOfRecord(User user) {
        StringBuilder aor = new StringBuilder("sip:");
        aor.append(user.getUsername()).append("@");
        aor.append(user.getDomain());
        return aor.toString();
    }

    abstract public String getAddressOfRecordByStation(URI uri);
}
