package org.mobicents.servlet.sip.pbx.address;

import org.junit.Test;
import org.mobicents.servlet.sip.pbx.address.AddressHelper;
import static org.junit.Assert.*;

/**
 *
 * @author marcoshack
 */
public class AddressUtilTest {

    @Test
    public void testIsDID() {
        assertTrue(AddressHelper.isDID(new SipURIMock("551196413181", "example.net")));
        assertFalse(AddressHelper.isDID(new SipURIMock("1001", "example.net")));
        assertFalse(AddressHelper.isDID(new SipURIMock("user1", "example.net")));
    }

    @Test
    public void testIsStation() {
        assertTrue(AddressHelper.isStation(new SipURIMock("1001", "example.net")));
        assertFalse(AddressHelper.isStation(new SipURIMock("551196413181", "example.net")));
        assertFalse(AddressHelper.isStation(new SipURIMock("user1", "example.net")));
    }
}
