package org.mobicents.servlet.sip.pbx.address;

import javax.servlet.sip.URI;
import org.junit.Before;
import org.junit.Test;
import org.mobicents.servlet.sip.pbx.user.User;
import static org.junit.Assert.*;

/**
 *
 * @author Marcos Hack <marcoshack@gmail.com>
 */
public class BaseAddressServiceTest {
    private BaseAddressService addressService;

    @Before
    public void setUp() {
        addressService = new BaseAddressServiceImpl();
    }

    @Test
    public void testGetAddressOfRecordByURI() {
        assertEquals("getAddressOfRecordByStation",
                addressService.getAddressOfRecord(
                    new SipURIMock("1234567", null)));
    }

    @Test
    public void testGetAddressOfRecordByUser() {
        User user = new User();
        user.setUsername("user1");
        user.setDomain("example.net");
        assertEquals("sip:" + user.getUsername() + "@" + user.getDomain(),
                addressService.getAddressOfRecord(user));
    }

    public class BaseAddressServiceImpl extends BaseAddressService {

        @Override
        public String getAddressOfRecordByStation(URI uri) {
            return "getAddressOfRecordByStation";
        }

        public void start() throws Exception {
            throw new UnsupportedOperationException("Not supported yet.");
        }

        public void stop() throws Exception {
            throw new UnsupportedOperationException("Not supported yet.");
        }
    }
}
